*
* COD/SEL 8/23/83 BY R. SHIPP (460-9353)
ERASE
? '==============================================='
?
? 'DO YOU WANT TO USE SELECTIVE PRINTING'
?
? '1 = SELECTIVE PRINTING'
?
? '    USE THE CODES IN THE DATABASE TO SELECT'
? '    A SET OF RECORDS TO BE PRINTED.'
?
? '    YOU WILL BE ASKED TO ENTER UP TO SIX LETTERS'
? '    WHICH WILL BE THE CODES USED TO FIND RECORDS'
?
?
? '2 = ALL RECORDS NOW IN FILE'
?
? '/ = EXIT BACK TO MAIN MENU'
?
? 'ENTER ONE OF THE ABOVE'
?
? '==============================================='
WAIT TO SEL
STORE '0' TO C1
STORE '0' TO C2
STORE '0' TO C3
STORE '0' TO C4
STORE '0' TO C5
STORE '0' TO C6
DO CASE
   CASE SEL='2'
      STORE F TO CHECKING
      RETURN
   CASE SEL='/'
      USE
      DO MENU
ENDCASE
STORE T TO CHECKING
STORE T TO TEST
DO WHILE TEST
DO CODLIS
? 'ENTER YOUR 1ST. LETTER '
? '============================================'
WAIT TO C1
DO CASE
CASE C1 $ LETTERS
   STORE F TO TEST
OTHERWISE
   DO NOGOOD
   LOOP
ENDCASE
LOOP
ENDDO
STORE T TO TEST
DO WHILE TEST
DO CODLIS
? 'ENTER YOUR 2ND. LETTER -OR- 0 FOR NONE & STOP'
? '============================================='
WAIT TO C2
IF C2='0'
   ELSE
DO CASE
CASE C2 $ LETTERS
STORE F TO TEST
OTHERWISE
DO NOGOOD
LOOP
ENDCASE
LOOP
ENDDO
STORE T TO TEST
DO WHILE TEST
DO CODLIS
? 'ENTER YOUR 3RD. LETTER -OR- 0 FOR NONE & STOP'
? '============================================='
WAIT TO C3
IF C3='0'
   ELSE
DO CASE
CASE C3 $ LETTERS
STORE F TO TEST
OTHERWISE
DO NOGOOD
LOOP
ENDCASE
LOOP
ENDDO
STORE T TO TEST
DO WHILE TEST
DO CODLIS
? 'ENTER YOUR 4TH. LETTER -OR- 0 FOR NONE & STOP'
? '============================================='
WAIT TO C4
IF C4='0'
   ELSE
DO CASE
CASE C4 $ LETTERS
STORE F TO TEST
OTHERWISE
DO NOGOOD
LOOP
ENDCASE
LOOP
ENDDO
STORE T TO TEST
DO WHILE TEST
DO CODLIS
? 'ENTER YOUR 5TH. LETTER -OR- 0 FOR NONE & STOP'
? '============================================='
WAIT TO C5
IF C5='0'
   ELSE
DO CASE
CASE C5 $ LETTERS
STORE F TO TEST
OTHERWISE
DO NOGOOD
LOOP
ENDCASE
LOOP
ENDDO
STORE T TO TEST
DO WHILE TEST
DO CODLIS
? 'ENTER YOUR 6TH. LETTER -OR- 0 FOR NONE & STOP'
? '============================================='
WAIT TO C6
IF C6='0'
   ELSE
DO CASE
CASE C6 $ LETTERS
STORE F TO TEST
OTHERWISE
DO NOGOOD
LOOP
ENDCASE
LOOP
ENDDO
ENDIF
RETURN
* THE END -- COD/SEL
*






